package com.tax.file.service.api;

import com.tax.file.model.TkTaxUser;
import com.tax.file.model.TkTaxUserExample;
import com.yxcheng.token.common.service.BaseServiceI;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface TkTaxUserService extends BaseServiceI<TkTaxUserExample,TkTaxUser> {


    List<TkTaxUser> queryApplyTaxnoList();

    List<TkTaxUser> queryDownloadTaxnoList();

    void updateTaxUser(TkTaxUser tkTaxUser);

    List<TkTaxUser> queryResetApplyTaxnoList();

    List<TkTaxUser> queryResetMonthApplyTaxnoList(Date cyDate, String resetDay);

    List<TkTaxUser> queryClearDataTaxnoList(Integer pageNum);

    List<Map<String, Object>> queryApplyFileByMonitor();

    List<TkTaxUser> queryDayReportTaxnoList();

    void updateDownloadUserInfo(String uuidFlag, TkTaxUser taxUser, String optType);
}